function love.load()
windowx = 960
windowy = 540
centerx = windowx/2
centery = windowy/2
settings={vsync=true,resizable=false,centered=true,fsaa=8,borderless=false}
love.window.setMode(windowx, windowy, settings)

actualpos = windowx
position = 0
drawn = 0
maxspeed = 30
speed = 1

  love.physics.setMeter(64) 
  world = love.physics.newWorld(0,80, true)
  world:setCallbacks(beginContact, endContact, preSolve, postSolve)
  math.randomseed(os.time())
  
  love.window.setTitle("*magic*")
  
  
--Re-sources
  timesnew88 = love.graphics.newFont("resources/times.ttf",88)
  timesnew24 = love.graphics.newFont("resources/times.ttf",24)
  timesnew14 = love.graphics.newFont("resources/times.ttf",14)

--Bod-i-s
  objects = {} -- table for all objects
 
  objects.player = {}
  objects.player.body = love.physics.newBody(world, windowx/2, windowy/2, "dynamic") --Place and make dynamic
  objects.player.shape = love.physics.newCircleShape(10) --Radius
  objects.player.fixture = love.physics.newFixture(objects.player.body, objects.player.shape, 1) --Make solid, giff density
  objects.player.fixture:setRestitution(0.5) --Bouncyness
  objects.player.image = love.graphics.newImage("resources/player.png") --Image
  
	
	theworld = {} --Table for everythin' gon' be drawn
--Map boundaries
  objects.blockw = {}
  objects.blockw.body = love.physics.newBody(world, centerx,windowy-30, "static")
  objects.blockw.shape = love.physics.newRectangleShape(0, 0, windowx, 20)
  objects.blockw.fixture = love.physics.newFixture(objects.blockw.body, objects.blockw.shape, 2)
  table.insert(theworld,objects.blockw)
    objects.blockw = {}
  objects.blockw.body = love.physics.newBody(world, centerx,30, "static")
  objects.blockw.shape = love.physics.newRectangleShape(0, 0, windowx, 20)
  objects.blockw.fixture = love.physics.newFixture(objects.blockw.body, objects.blockw.shape, 2)
  table.insert(theworld,objects.blockw)
  
  barriers = {}
end

function barrier(xpos,width,height) --NOTE: AUTOCORRECTS Y POSITION
local ypos = windowy-30-height/2
  objects.blockw = {}
  objects.blockw.body = love.physics.newBody(world, xpos,ypos, "static")
  objects.blockw.shape = love.physics.newRectangleShape(0, 0, width, height)
  objects.blockw.fixture = love.physics.newFixture(objects.blockw.body, objects.blockw.shape, 2)
  objects.blockw.repos = xpos-position-width-50
  table.insert(barriers,objects.blockw)
end

function love.update(dt)
world:update(dt)
    objects.player.body:applyForce(-25, 0)
  x,y = objects.player.body:getLinearVelocity()
  objects.player.body:setX(100)
  if love.keyboard.isDown("d") then
  if speed < maxspeed then
    speed = speed + 1
  end
  end
  if love.keyboard.isDown("a") then 
  if speed > 1 then
    speed = speed - 1
  end
  end
  if love.keyboard.isDown("w") then 
    objects.player.body:applyForce(0, -25)
  end
  if love.keyboard.isDown(" ") then 
    objects.player.body:setPosition(windowy/2, windowy/2)
  end
  
actualpos = actualpos + speed/4
while math.floor(actualpos)+25 > position do
position = position + 25
end
while drawn < position do
barrier(drawn,25,math.random(50,150))
drawn = drawn + 25
end

end

function love.draw()
  love.graphics.circle("fill", objects.player.body:getX(), objects.player.body:getY(), objects.player.shape:getRadius())
  love.graphics.draw(objects.player.image, objects.player.body:getX(), objects.player.body:getY(), objects.player.body:getAngle(),  1, 1, objects.player.image:getWidth()/2, objects.player.image:getHeight()/2)
  
  for i,v in pairs(theworld) do  --Draw my world <3
  love.graphics.polygon("fill", v.body:getWorldPoints(v.shape:getPoints()))
  end
  for i,v in ipairs(barriers) do  --Draw my world <3
  v.body:setX(v.body:getX()-speed/4)
  love.graphics.polygon("fill", v.body:getWorldPoints(v.shape:getPoints()))
  if v.body:getX() < v.repos then
  table.remove(barriers,i)
  v.body:destroy()
  end   
  end
end